#include <hidef.h> /* for EnableInterrupts macro */
#include "derivative.h" /* include peripheral declarations */
#include "helium.h"
#include <string.h>


void Idle();


char idleStack[20];


void main(void) {

  EnableInterrupts; /* enable interrupts */

  TaskCreate( 2, Idle, (int*)idleStack, 20 ) ;
    
  StartExecution() ;
  
}



void Idle() {
  int j;
  for(;;){
     j++ ;
     __RESET_WATCHDOG() ;
  }
   
}
