#include "helium.h"



void mutexTake(char mutexNum){

    while( (mutexStat & (1<<mutexNum)) != 0 )
    {
        TimeBlock(1) ;
    }
    mutexStat |= bitPosTable[mutexNum] ;   // Set the stat bit in the mutex status byte.
}



void mutexRelease(char mutexNum){
    mutexStat &= ~(bitPosTable[mutexNum]) ;
}

