#include "helium.h"
#include "derivative.h"
#include <hidef.h>

//Causes the task that is currently running to block
void TimeBlock(char numTicks){
      DisableInterrupts ;
      TickBlock[currTask] = numTicks+1 ;
      Tasks &= ~bitPosTable[currTask] ;   // Mask off the ready bit that corresponds to currTask.
      EnableInterrupts ;
      asm( ais #-5 ) ;      
      asm(jmp TickISRTaskSwitch) ;
}